folderIcon=food 003.jpg
title=New Years Eve 2007
descript=Alex & I cooked up some HUGE Kobe steaks. They were incredible. What the hell? It's New Years Eve! We cooked them on my indoor grill and they turned out great!
